# $Revision: 1.8 $, $Date: 2012/03/29 16:20:47 $
#
# Conditional build:
%bcond_without	swig	# build with Swig
%bcond_without	cython	# build with Cython

Summary:	Library for manipulating Apple Property Lists
Summary(pl.UTF-8):	Biblioteka do manipulowania Apple Property Lists
Name:		libplist
Version:	1.8
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	2a9e0258847d50f9760dc3ece25f4dc6
URL:		http://www.libimobiledevice.org/
BuildRequires:	cmake >= 2.8.2-2
BuildRequires:	glib2-devel >= 1:2.14.1
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	pkgconfig
%{?with_cython:BuildRequires:	python-Cython}
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.600
%{?with_swig:BuildRequires:	swig-python}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for manipulating Apple Property Lists in binary and XML
format.

%description -l pl.UTF-8
Biblioteka do manipulowania Apple Property Lists w formacie binarnym i
XML.

%package devel
Summary:	Header files for libplist library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libplist
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.14.1
Requires:	libxml2-devel >= 1:2.6.30

%description devel
Header files for libplist library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libplist.

%package -n python-plist
Summary:	libplist Python bindings
Summary(pl.UTF-8):	Wiązania libplist dla Pythona
Group:		Development/Languages/Python

%description -n python-plist
libplist Python bindings.

%description -n python-plist -l pl.UTF-8
Wiązania libplist dla Pythona.

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DENABLE_SWIG=%{!?with_swig:NO}%{?with_swig:YES} \
	-DENABLE_CYTHON=%{!?with_cython:NO}%{?with_cython:YES} \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

# cmake sucks, fix perms
%if %{with cython}
chmod a+x $RPM_BUILD_ROOT%{py_sitedir}/plist.so
%endif
%if %{with swig}
chmod a+x $RPM_BUILD_ROOT%{py_sitedir}/plist/_plist.so
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/plutil*
%attr(755,root,root) %{_libdir}/libplist++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplist++.so.1
%attr(755,root,root) %{_libdir}/libplist.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplist.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libplist++.so
%attr(755,root,root) %{_libdir}/libplist.so
%{_includedir}/plist
%{_pkgconfigdir}/libplist++.pc
%{_pkgconfigdir}/libplist.pc

%if %{with cython} || %{with swig}
%files -n python-plist
%defattr(644,root,root,755)
%if %{with cython}
%attr(755,root,root) %{py_sitedir}/plist.so
%endif
%if %{with swig}
%dir %{py_sitedir}/plist
%attr(755,root,root) %{py_sitedir}/plist/_plist.so
%{py_sitedir}/plist/*.py[co]
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libplist.spec,v $
Revision 1.8  2012/03/29 16:20:47  glen
- add cython bindings (should it be differen pkg?)

Revision 1.7  2012/03/24 13:30:38  glen
- up to 1.8

Revision 1.6  2011/01/28 02:16:31  sparky
- BR: libstdc++-devel, python-modules, rpm-pythonprov

Revision 1.5  2010/11/28 15:51:29  hawk
- release 4

Revision 1.4  2010/07/17 20:19:33  glen
- cmake >= 2.8.2-2 for python 2.7 support

Revision 1.3  2010/07/09 11:18:52  arekm
- release 2

Revision 1.2  2010/06/13 11:32:50  megabajt
- updated to 1.3

Revision 1.1  2010/02/11 13:45:46  megabajt
- new
